Skip to main content
PUT
Update task

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

id
integer
required

The task ID

Example:

1

Body

application/json
title
string

Task title. Must not be greater than 255 characters.

Example:

"Prepare homepage wireframe"

description
string | null

Task description.

Example:

"Create initial wireframe and review notes."

state
enum<string>

Task state.

Available options:
in_progress,
change_requested,
approved,
cancelled,
done
Example:

"in_progress"

stage_id
integer

Task stage ID. The id of an existing record in the projects_task_stages table.

Example:

1

project_id
integer | null

Project ID. The id of an existing record in the projects_projects table.

Example:

1

milestone_id
integer | null

Milestone ID. The id of an existing record in the projects_milestones table.

Example:

1

partner_id
integer | null

Customer ID. The id of an existing record in the partners_partners table.

Example:

1

parent_id
integer | null

Parent task ID for sub-task. The id of an existing record in the projects_tasks table.

Example:

10

deadline
string | null

Task deadline date-time. Must be a valid date.

Example:

"2026-03-10 18:00:00"

allocated_hours
number | null

Allocated effort in hours. Must be at least 0.

Example:

12

priority
boolean | null

Priority flag.

Example:

false

users
integer[]

The id of an existing record in the users table.

Example:
tags
integer[]

The id of an existing record in the projects_tags table.

Example:

Response

Success